Subject: bug#5819 closed by YAMAMOTO Mitsuharu <[email-masked]> (Re: bug#5819: 23.1.93; OSX: start-process sometimes returns an unready process)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Apr 2010 10:35:01 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#5819: 23.1.93; OSX: start-process sometimes returns an unready process

It has been closed by YAMAMOTO Mitsuharu <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact YAMAMOTO Mitsuharu <[email-masked]> by
replying to this email.

-- 
5819: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5819
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5819: 23.1.93; OSX: start-process sometimes returns an unready process
From: YAMAMOTO Mitsuharu <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 10 Apr 2010 19:34:03 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

>>>>> On Fri, 09 Apr 2010 09:14:48 -0400, Stefan Monnier <[email-masked]> said:

>>>> The following simpler one seems to work for me on 10.4 (but not
>>>> on 10.3, again).  Could you test if it also works for you, with
>>>> respect to this problem and #726 (23.0.60; OSX: Complete OS
>>>> crash)?
>>> Your patch fixes both issues for me. Thank you very much!
>> Maintainers, which branch should I install this patch to?  Bug#726
>> is marked as important.

> I'd say emacs-23, Thank you,

Done.

				     YAMAMOTO Mitsuharu
				[email-masked]

Subject: 23.1.93; OSX: start-process sometimes returns an unready process
From: Markus Triska <[email-masked]>
To: [email-masked]
Date: Thu, 01 Apr 2010 19:55:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Let testprocess.el consist of the following form:

    (let (p (n 1))
      (while t
        (message "iteration %s" n)
        (setq n (1+ n)
              p (start-process "bc" nil "bc"))
        (process-send-string p "test")
        (delete-process p)))

On OSX 10.4, when I do "$ emacs -Q --script testprocess.el", I get:

   $ emacs -Q --script testprocess.el
   iteration 1
   iteration 2
   iteration 3
   writing to process: Input/output error, bc

and sometimes, particularly under high system load:

   $ emacs -Q --script testprocess.el
   iteration 1
   iteration 2
   Process bc not running

The number of iterations often varies over invocations.

In GNU Emacs 23.1.93.1 (i386-apple-darwin8.11.1)
 of 2010-04-01 on mt-computer.local
configured using `configure  '--without-x''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t